Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.framework
Class PlatformFileContext

    java.lang.Object
      org.eclipse.birt.core.framework.PlatformFileContext

All Implemented Interfaces:
  IPlatformContext

    public class PlatformFileContext

extends java.lang.Object
implements IPlatformContext

An platform context that is based on file operations. Since in web environment WAR deployment, absolute file path is not available. In this case, user should NOT use this class. In this case, user should use PlatformServletContext or develop his own PlatformContext to make sure reousce operation are used.

Field Summary
`protected java.lang.String[]` | `arguments`
`protected java.lang.String` | `root`

Constructor Summary
`PlatformFileContext()` PlatformFileContext Constructor
`PlatformFileContext(PlatformConfig config)` PlatformFileContext Constructor( String , IPlatformConfig )

Method Summary
`java.lang.String[]` | `getLaunchArguments()`
`java.lang.String` | `getPlatform()` return the folder of the platform.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### root

    protected java.lang.String root

### arguments

    protected java.lang.String[] arguments

Constructor Detail

### PlatformFileContext

    public PlatformFileContext()

  PlatformFileContext Constructor

### PlatformFileContext

    public PlatformFileContext(PlatformConfig config)

  PlatformFileContext Constructor( String , IPlatformConfig )

  Parameters:
    `root` -
    `platformConfig` -

Method Detail

### getPlatform

    public java.lang.String getPlatform()

  Description copied from interface: `IPlatformContext`
  return the folder of the platform.

  Specified by:
    `getPlatform` in interface `IPlatformContext`
  Returns:
    the folder represent the root of the platform.

### getLaunchArguments

    public java.lang.String[] getLaunchArguments()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.